=== debian/changelog ===
jas (2.4-1) unstable; urgency=low

  * Initial release (closes: #649246).

 -- Giovanni Mascellani <gio@debian.org>  Sat, 19 Nov 2011 00:18:25 +0100
