=== debian/control ===
Source: jas
Section: java
Priority: extra
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Giovanni Mascellani <gio@debian.org>
Build-Depends: debhelper (>= 8.0.0), default-jdk, javahelper, liblog4j1.2-java
Standards-Version: 3.9.2
Homepage: http://krum.rz.uni-mannheim.de/jas/
#Vcs-Git: git://git.debian.org/collab-maint/jas.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/jas.git;a=summary

Package: libjas-java
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${java:Depends}
Description: Java object-oriented type-safe Algebra System
 Java Algebra System (JAS) is an object-oriented, type-safe and
 multi-threaded library using generic types for algebraic
 computations. It mainly focuses on commutative algebra, solvable
 polynomials, Groebner bases, factorization, power series and real
 roots.
