=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export JAVA_HOME=/usr/lib/jvm/default-java
export CLASSPATH=/usr/share/java/log4j-1.2.jar
export JH_JAR_EXTRA=log4j.properties

%:
	dh $@ --with javahelper

# The Makefile won't work
override_dh_auto_build:
	true
