## jas 2.4.3938

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile 3789 2011-10-01 18:54:43Z kredel $
+# $Id: Makefile 3875 2012-02-04 18:47:16Z kredel $
 #
 # Makefile with default rules for the Java-Algebra-System
 # by Heinz kredel
@@ -43,7 +43,7 @@
 ####--exclude=*/.jxta/
 PART=jas.j16
 VERSION=jas-2.4
-BRANCH=2.3
+#BRANCH=2.3
 SVNVERSION=`grep committed-rev .svn/entries |head -1|awk -F = '{ print $2 }'|sed 's/"//g'`
 
 all:
@@ -85,8 +85,12 @@
 MYCLASSPATH = $(LOG4JPATH):.:$(JUNITPATH):$(JOMPPATH):$(PYPATH)
 #:$(TNJPATH)
 
-JAVA_MEM=-Xms1100M -Xmx1900M
-#JAVA_MEM=-Xms350M -Xmx800M
+#JAVA_MEM=-Xms1100M -Xmx1900M
+JAVA_MEM=-Xms350M -Xmx800M
+
+#SOPTS="-J-cp ../lib/log4j.jar:../lib/junit.jar:. -J-verbose:gc -J-Xms1100M -J-Xmx1900M"
+SOPTS="-J-cp ../lib/log4j.jar:../lib/junit.jar:. -J-verbose:gc -J-Xms350M -J-Xmx800M"
+
 
 JAVAC=$(JDK)/javac -classpath $(MYCLASSPATH) -d . -Xlint:unchecked
 #-Xlint:unchecked
@@ -116,60 +120,120 @@
 .PHONY    : clean doc
 
 all:
-	$(JAVAC) src/edu/jas/*/*.java src/edu/mas/*/*.java
+	$(JAVAC) src/edu/jas/*/*.java src/edu/mas/*/*.java trc/edu/jas/*/*.java trc/edu/mas/*/*.java
 
 %.class: %.java
 	$(JAVAC) $<
 
-
 edu/jas/%.class: src/edu/jas/%.java
 	$(JAVAC) $<
 
+
+edu/jas/arith/%Test.class: trc/edu/jas/arith/%Test.java
+	$(JAVAC) $<
+
 edu/jas/arith/%.class: src/edu/jas/arith/%.java
 	$(JAVAC) $<
 
+
+edu/jas/poly/%Test.class: trc/edu/jas/poly/%Test.java
+	$(JAVAC) $<
+
 edu/jas/poly/%.class: src/edu/jas/poly/%.java
 	$(JAVAC) $<
 
+
+edu/jas/ps/%Test.class: trc/edu/jas/ps/%Test.java
+	$(JAVAC) $<
+
 edu/jas/ps/%.class: src/edu/jas/ps/%.java
 	$(JAVAC) $<
 
+
+edu/jas/gb/%Test.class: trc/edu/jas/gb/%Test.java
+	$(JAVAC) $<
+
 edu/jas/gb/%.class: src/edu/jas/gb/%.java
 	$(JAVAC) $<
 
-edu/jas/ufd/%.class: src/edu/jas/ufd/%.java
+
+edu/jas/ufd/%Test.class: trc/edu/jas/ufd/%Test.java 
+	$(JAVAC) $<
+
+edu/jas/ufd/%.class: src/edu/jas/ufd/%.java 
+	$(JAVAC) $<
+
+
+edu/jas/vector/%Test.class: trc/edu/jas/vector/%Test.java
 	$(JAVAC) $<
 
 edu/jas/vector/%.class: src/edu/jas/vector/%.java
 	$(JAVAC) $<
 
+
+edu/jas/gbmod/%Test.class: trc/edu/jas/gbmod/%Test.java
+	$(JAVAC) $<
+
 edu/jas/gbmod/%.class: src/edu/jas/gbmod/%.java
 	$(JAVAC) $<
 
+
+edu/jas/gbufd/%Test.class: trc/edu/jas/gbufd/%Test.java
+	$(JAVAC) $<
+
 edu/jas/gbufd/%.class: src/edu/jas/gbufd/%.java
 	$(JAVAC) $<
 
+
+edu/jas/structure/%Test.class: trc/edu/jas/structure/%Test.java
+	$(JAVAC) $<
+
 edu/jas/structure/%.class: src/edu/jas/structure/%.java
 	$(JAVAC) $<
 
+
+edu/jas/util/%Test.class: trc/edu/jas/util/%Test.java
+	$(JAVAC) $<
+
 edu/jas/util/%.class: src/edu/jas/util/%.java
 	$(JAVAC) $<
 
+
+edu/jas/application/%Test.class: trc/edu/jas/application/%Test.java
+	$(JAVAC) $<
+
 edu/jas/application/%.class: src/edu/jas/application/%.java
 	$(JAVAC) $<
 
+
+edu/jas/root/%Test.class: trc/edu/jas/root/%Test.java
+	$(JAVAC) $<
+
 edu/jas/root/%.class: src/edu/jas/root/%.java
 	$(JAVAC) $<
 
+
+edu/jas/kern/%Test.class: trc/edu/jas/kern/%Test.java
+	$(JAVAC) $<
+
 edu/jas/kern/%.class: src/edu/jas/kern/%.java
 	$(JAVAC) $<
 
+
+edu/jas/integrate/%Test.class: trc/edu/jas/integrate/%Test.java
+	$(JAVAC) $<
+
 edu/jas/integrate/%.class: src/edu/jas/integrate/%.java
 	$(JAVAC) $<
 
+
+edu/mas/kern/%Test.class: trc/edu/mas/kern/%Test.java
+	$(JAVAC) $<
+
 edu/mas/kern/%.class: src/edu/mas/kern/%.java
 	$(JAVAC) $<
 
+
 edu.jas.%: edu/jas/%.class
 	$(JAVA) $@ $(cl)
 
@@ -220,6 +284,8 @@
 
 
 FILES=$(wildcard src/edu/jas/structure/*.java src/edu/jas/arith/*.java src/edu/jas/poly/*.java src/edu/jas/ps/*.java src/edu/jas/gb/*.java src/edu/jas/application/*.java src/edu/jas/vector/*.java src/edu/jas/gbmod/*.java src/edu/jas/util/*.java src/edu/jas/ufd/*.java src/edu/jas/kern/*.java src/edu/jas/root/*.java src/edu/jas/integrate/*.java)
+
+TESTFILES=$(wildcard trc/edu/jas/structure/*.java trc/edu/jas/arith/*.java trc/edu/jas/poly/*.java trc/edu/jas/ps/*.java trc/edu/jas/gb/*.java trc/edu/jas/application/*.java trc/edu/jas/vector/*.java trc/edu/jas/gbmod/*.java trc/edu/jas/util/*.java trc/edu/jas/ufd/*.java trc/edu/jas/kern/*.java trc/edu/jas/root/*.java trc/edu/jas/integrate/*.java)
 
 LIBS=$(JUNITPATH) $(LOG4JPATH) $(JOMPPATH) $(TNJPATH)
 
@@ -231,8 +297,8 @@
 DOCU=$(wildcard jas-log.html index.html problems.html design.html COPYING* sample.jythonrc overview.html)
 # */package.html 
 
-doc: $(FILES)
-	$(DOC) $(DOCOPTS) -d doc/api $(FILES) 
+doc: $(FILES) $(TESTFILES)
+	$(DOC) $(DOCOPTS) -d doc/api $(FILES) $(TESTFILES)
 
 epydoc: examples/jas.py
 	epydoc -o doc/jython -n "Python to JAS" -u ../../index.html examples/jas.py
@@ -240,22 +306,22 @@
 rdoc: examples/jas.rb
 	jrdoc -o doc/jruby -U -S -N -t "Ruby to JAS" examples/jas.rb
 
-texdoc: $(FILES)
+texdoc: $(FILES) $(TESTFILES)
 	mkdir -p doc/tex
 	rm -f doc/tex/*
-	$(DOC) $(DOCOPTS) -doclet TexGen -docletpath ~/java/lib/texgen.jar -dest doc/tex $(FILES) 
+	$(DOC) $(DOCOPTS) -doclet TexGen -docletpath ~/java/lib/texgen.jar -dest doc/tex $(FILES) $(TESTFILES) 
 	ls doc/tex/* | grep -v Test | grep -v allclasses | xargs cat > doc/tex/allclasses.tex
 	sed -i -f doc/totex.sed doc/tex/allclasses.tex
 	cd doc; pdflatex jas_texgen.tex
 
-ALLJAR=$(FILES) $(DOCU) Makefile build.xml log4j.properties $(PYS)
+ALLJAR=$(FILES) $(TESTFILES) $(DOCU) Makefile build.xml log4j.properties $(PYS)
 
 jas-all.jar: $(ALLJAR)
 	$(JDK)/jar -cvf jas.jar $(ALLJAR) edu/ 
 	mv jas.jar /tmp/jas-`date +%Y%j`.jar
 
-jas.tgz: $(FILES) *.html TODO
-	tar -cvzf jas.tgz $(FILES) *.html TODO
+jas.tgz: $(FILES) $(TESTFILES) *.html TODO
+	tar -cvzf jas.tgz $(FILES) $(TESTFILES) *.html TODO
 	cp jas.tgz /tmp/jas-`date +%Y%j`.tgz
 
 #	cp jas.jar ...../jas-`date +%Y%j`.jar
@@ -263,9 +329,9 @@
 #	$(JDK)/jar -cvfm jas-run.jar GBManifest.MF $(TOJAR)
 
 
-TOJAR=$(FILES) $(CLASSES) Makefile build.xml log4j.properties $(EXAMPY) examples/machines.test $(wildcard COPYING*)
-
-jas.jar: $(FILES) Makefile build.xml log4j.properties $(EXAMPY)
+TOJAR=$(FILES) $(TESTFILES) $(CLASSES) Makefile build.xml log4j.properties $(EXAMPY) examples/machines.test $(wildcard COPYING*)
+
+jas.jar: $(FILES) $(TESTFILES) Makefile build.xml log4j.properties $(EXAMPY)
 	$(JDK)/jar -cf jas.jar $(TOJAR)
 #	$(JDK)/jar -cf jas.jar $(filter-out %/ufd/, $(filter-out src/edu/jas/ufd/%.java, $(TOJAR)))
 
@@ -291,9 +357,6 @@
 	find . -name "*~" -follow -print -exec rm {} \;
 	#rm -f application/application arith/arith kern/kern gbmod/gbmod poly/poly ps/ps gb/gb structure/structure ufd/ufd util/util vector/vector
 
-
-SOPTS="-J-cp ../lib/log4j.jar:../lib/junit.jar:. -J-verbose:gc -J-Xms1100M -J-Xmx1900M"
-#SOPTS="-J-cp ../lib/log4j.jar:../lib/junit.jar:. -J-verbose:gc -J-Xms350M -J-Xmx800M"
 
 tests:
 	ant test 2>&1 | tee t.out
@@ -310,7 +373,7 @@
 	-grep Exception e.out | grep -v GCDProxy
 	-grep File tjy.out
 	-grep -i error tjr.out
-	-grep Exception tr.out || grep Usage tr.out
+	-grep Exception tr.out | grep Usage tr.out
 
 metrics:
 	ant jdepend
@@ -334,26 +397,7 @@
 	rm -rf ~/jas-versions/$(VERSION)
 	svn export --quiet file:///$(SVNREPO)/jas/trunk ~/jas-versions/$(VERSION)
 	cd ~/jas-versions/$(VERSION); jas_dosed $(VERSION) `$(SVNREV)` download.html
-#	svn log -v -r HEAD:BASE src > ~/jas-versions/$(VERSION)/svn_change.log
-	svn log -v -r HEAD:$(SVNSRT) file:///$(SVNREPO)/jas/trunk src examples > ~/jas-versions/$(VERSION)/svn_change.log
-	cd ~/jas-versions/; jar -cf $(VERSION).`$(SVNREV)`-src.jar $(VERSION)/
+	svn log -v -r HEAD:$(SVNSRT) file:///$(SVNREPO)/jas/trunk src trc examples > ~/jas-versions/$(VERSION)/svn_change.log
+	cd ~/jas-versions/; jar -cfM $(VERSION).`$(SVNREV)`-src.zip $(VERSION)/
 	cd ~/jas-versions/$(VERSION)/; ant compile > ant_compile.out
 	cd ~/jas-versions/$(VERSION)/; jar -cfm ../$(VERSION).`$(SVNREV)`-bin.jar GBManifest.MF edu/ COPYING* log4j.properties
-	cd ~/jas-versions/$(VERSION)/; jar -uf ../$(VERSION).`$(SVNREV)`-bin.jar -C ~/jas-versions/$(VERSION)/examples jas.rb -C ~/jas-versions/$(VERSION)/examples jas.py
-	cd ~/jas-versions/$(VERSION)/; ant doc > ant_doc.out
-	cd ~/jas-versions/$(VERSION)/; epydoc -o doc/jython -n "Python to JAS" -u ../../index.html examples/jas.py > epydoc.out
-	cd ~/jas-versions/$(VERSION)/; jrdoc -o doc/jruby -U -S -N -t "Ruby to JAS" examples/jas.rb > rdoc.out 2>&1
-	cd ~/jas-versions/$(VERSION)/; jar -cf ../$(VERSION).`$(SVNREV)`-doc.jar doc/ *.html
-	cd ~/jas-versions/$(VERSION)/; ant test > ant_test.out
-	cd ~/jas-versions/$(VERSION)/; sh ./jython_tests.sh >jython_tests.out 2>&1
-	cd ~/jas-versions/$(VERSION)/; sh ./jruby_tests.sh >jruby_tests.out 2>&1
-	cp ~/jas-versions/$(VERSION).`$(SVNREV)`-bin.jar $(LIBPATH)/jas.jar
-	cp ~/jas-versions/$(VERSION).`$(SVNREV)`-bin.jar ~/jas-versions/$(VERSION)/jas.jar
-	mv ~/jas-versions/$(VERSION).`$(SVNREV)`-*.jar ~/jas-versions/$(VERSION)/
-	cd ~/jas-versions/$(VERSION)/meditor; jas_dosed $(VERSION) `$(SVNREV)` manifest.mf
-	cd ~/jas-versions/$(VERSION)/meditor; make > ~/jas-versions/$(VERSION)/make_meditor.out
-	cd ~/jas-versions/log4j_adapter; make > ~/jas-versions/$(VERSION)/make_mylog.out
-	cp ~/java/lib/mylog.jar ~/jas-versions/$(VERSION)/
-	cd ~/jas-versions/jlinalg_adapter; make > ~/jas-versions/$(VERSION)/make_jlinalg.out
-	cp ~/java/lib/jlinalg_adapter.jar ~/jas-versions/$(VERSION)/
-	cd ~/jas-versions/commons-math_adapter; make > ~/jas-versions/$(VERSION)/make_commons-math.out
