=== debian/changelog ===
jas (2.4.3938-2) unstable; urgency=low

  * Team upload.
  * Bump dependency on javahelper to fix FTBFS with Java7.

 -- Niels Thykier <niels@thykier.net>  Wed, 20 Jun 2012 19:07:50 +0200

jas (2.4.3938-1) unstable; urgency=low

  * New upstream release.
  * Update some details in debian/copyright.
  * Add doc-base registration.
  * Bump Standards-Version to 3.9.3 (no changes needed).

 -- Giovanni Mascellani <gio@debian.org>  Wed, 09 May 2012 10:54:12 +0200
