=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: extra
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Giovanni Mascellani <gio@debian.org>
-Build-Depends: debhelper (>= 8.0.0), default-jdk, javahelper, liblog4j1.2-java
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 8.0.0), default-jdk, javahelper (>= 0.43), liblog4j1.2-java,
+ junit4
+Standards-Version: 3.9.3
 Homepage: http://krum.rz.uni-mannheim.de/jas/
-#Vcs-Git: git://git.debian.org/collab-maint/jas.git
-#Vcs-Browser: http://git.debian.org/?p=collab-maint/jas.git;a=summary
+Vcs-Git: git://git.debian.org/pkg-java/jas.git
+Vcs-Browser: http://git.debian.org/?p=pkg-java/jas.git;a=summary
 
 Package: libjas-java
 Architecture: all
