## jas 2.5.4408

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile 3875 2012-02-04 18:47:16Z kredel $
+# $Id: Makefile 4319 2012-12-16 11:59:20Z kredel $
 #
 # Makefile with default rules for the Java-Algebra-System
 # by Heinz kredel
@@ -11,14 +11,6 @@
 # set this to your jdk binaries path
 #JDK=/usr/lib/jvm/java/bin
 #JDK=/usr/java/jdk1.6.0_02/bin
-#JDK=/usr/lib/jvm/java-1.5.0/bin
-#JDK=/usr/java/jdk1.5.0_01/bin
-#JDK=/usr/java/j2sdk1.4.1_01/bin
-#JDK=/usr/java/j2sdk1.4.0_01/bin
-#JDK=/opt/jdk1.4/bin
-#JDK=/opt/jdk1.4.0b3/bin
-#JDK=/usr/lib/jdk1.3/bin
-#JDK=/opt/jdk1.2.2/bin
 #JDK=/usr/lib/java/bin
 JDK=/usr/java/latest/bin
 #JDK=/usr/lib/jvm/java-1.5.0-sun-1.5.0/bin
@@ -76,9 +68,9 @@
 #DEFS=$(JASPATH)/arith:$(JASPATH)/poly:$(JASPATH)/ps:$(JASPATH)/vector:$(JASPATH)/gb:$(JASPATH)/ufd:$(JASPATH)/gbmod:$(JASPATH)/util:$(JASPATH)/application:$(JASPATH)/root
 DOCCLASSES=$(JUNITPATH):$(LOG4JPATH):$(JOMPPATH)
 #:$(TNJPATH)
-DOCOPTS=-package
+#DOCOPTS=-package
 #DOCOPTS=-package -version -author
-#DOCOPTS=-public -protected -package -author -version
+DOCOPTS=-public -protected -package -author -version
 
 #MYCLASSPATH = .:$(DEFS):$(JUNITPATH):$(JOMPPATH)
 #MYCLASSPATH = $(LOG4JPATH):.:$(DEFS):$(JUNITPATH):$(JOMPPATH):$(PYPATH)
@@ -283,13 +275,13 @@
 	$(JAVA) $@ $(cl)
 
 
-FILES=$(wildcard src/edu/jas/structure/*.java src/edu/jas/arith/*.java src/edu/jas/poly/*.java src/edu/jas/ps/*.java src/edu/jas/gb/*.java src/edu/jas/application/*.java src/edu/jas/vector/*.java src/edu/jas/gbmod/*.java src/edu/jas/util/*.java src/edu/jas/ufd/*.java src/edu/jas/kern/*.java src/edu/jas/root/*.java src/edu/jas/integrate/*.java)
-
-TESTFILES=$(wildcard trc/edu/jas/structure/*.java trc/edu/jas/arith/*.java trc/edu/jas/poly/*.java trc/edu/jas/ps/*.java trc/edu/jas/gb/*.java trc/edu/jas/application/*.java trc/edu/jas/vector/*.java trc/edu/jas/gbmod/*.java trc/edu/jas/util/*.java trc/edu/jas/ufd/*.java trc/edu/jas/kern/*.java trc/edu/jas/root/*.java trc/edu/jas/integrate/*.java)
+FILES=$(wildcard src/edu/jas/structure/*.java src/edu/jas/arith/*.java src/edu/jas/poly/*.java src/edu/jas/ps/*.java src/edu/jas/gb/*.java src/edu/jas/application/*.java src/edu/jas/vector/*.java src/edu/jas/gbmod/*.java src/edu/jas/gbufd/*.java src/edu/jas/util/*.java src/edu/jas/ufd/*.java src/edu/jas/kern/*.java src/edu/jas/root/*.java src/edu/jas/integrate/*.java)
+
+TESTFILES=$(wildcard trc/edu/jas/structure/*.java trc/edu/jas/arith/*.java trc/edu/jas/poly/*.java trc/edu/jas/ps/*.java trc/edu/jas/gb/*.java trc/edu/jas/application/*.java trc/edu/jas/vector/*.java trc/edu/jas/gbmod/*.java trc/edu/jas/gbufd/*.java trc/edu/jas/util/*.java trc/edu/jas/ufd/*.java trc/edu/jas/kern/*.java trc/edu/jas/root/*.java trc/edu/jas/integrate/*.java)
 
 LIBS=$(JUNITPATH) $(LOG4JPATH) $(JOMPPATH) $(TNJPATH)
 
-CLASSES=edu/jas/structure/ edu/jas/arith/ edu/jas/poly/ edu/jas/ps/ edu/jas/gb/ edu/jas/application/ edu/jas/vector/ edu/jas/gbmod/ edu/jas/util/ edu/jas/ufd/ edu/jas/kern/ edu/jas/root/ edu/jas/integrate/
+CLASSES=edu/jas/structure/ edu/jas/arith/ edu/jas/poly/ edu/jas/ps/ edu/jas/gb/ edu/jas/gbufd edu/jas/application/ edu/jas/vector/ edu/jas/gbmod/ edu/jas/util/ edu/jas/ufd/ edu/jas/kern/ edu/jas/root/ edu/jas/integrate/
 
 PYS=$(wildcard *.py)
 EXAMPY=$(wildcard examples/*.py)
@@ -318,6 +310,7 @@
 
 jas-all.jar: $(ALLJAR)
 	$(JDK)/jar -cvf jas.jar $(ALLJAR) edu/ 
+	cp jas.jar $(LIBPATH)/
 	mv jas.jar /tmp/jas-`date +%Y%j`.jar
 
 jas.tgz: $(FILES) $(TESTFILES) *.html TODO
@@ -333,6 +326,7 @@
 
 jas.jar: $(FILES) $(TESTFILES) Makefile build.xml log4j.properties $(EXAMPY)
 	$(JDK)/jar -cf jas.jar $(TOJAR)
+	cp jas.jar $(LIBPATH)/
 #	$(JDK)/jar -cf jas.jar $(filter-out %/ufd/, $(filter-out src/edu/jas/ufd/%.java, $(TOJAR)))
 
 jas-doc.jar: $(DOCU) doc/
@@ -369,15 +363,27 @@
 	make edu.jas.application.RunGB cl="seq+ examples/trinks6.jas"   | tee -a tr.out
 	make edu.jas.application.RunGB cl="par  examples/trinks6.jas 4" | tee -a tr.out
 	make edu.jas.application.RunGB cl="par+ examples/trinks6.jas 4" | tee -a tr.out
+	cd jython; make tests | tee jsr.out
+	cd mpj; make tests | tee mpj.out
+	cd ../jas-versions/jlinalg_adapter; make tests | tee ja.out
+	cd ../jas-versions/commons-math_adapter; make tests | tee ja.out
 	-grep FAIL t.out
-	-grep Exception e.out | grep -v GCDProxy
+	-grep Exception e.out | grep -v GCDProxy | grep -v GBProxy
 	-grep File tjy.out
 	-grep -i error tjr.out
-	-grep Exception tr.out | grep Usage tr.out
+	-grep -i error jython/jsr.out
+	-grep -i error mpj/mpj.out
+	-grep -i error ../jas-versions/jlinalg_adapter/ja.out
+	-grep -i error ../jas-versions/commons-math_adapter/ja.out
+	-egrep '(Exception|Usage)' tr.out
 
 metrics:
 	ant jdepend
 	../java/javancss-32.53/bin/javancss -all -recursive -out test/javanccs-`date +%Y-%m-%d`.out src
+
+findbugs:
+	cd ~/java/findbugs; bin/fb analyze -sortByClass -medium -html -nested:false /home/kredel/jas/edu/jas/ > jas.findbugs-report.medium.html
+
 
 #svn copy file:///$(SVNREPO)/jas/trunk file:///$(SVNREPO)/jas/tags/$(VERSION)
 
@@ -390,14 +396,10 @@
 # jun 2009 SVNSRT=2668
 # jan 2010 SVNSRT=2978
 # jun 2010 SVNSRT=3188
-# jan 2011
-SVNSRT=3458
+# jan 2011 SVNSRT=3458
+# jul 2011 SVNSRT=3688
+# dec 2011
+SVNSRT=3838
 
 export:
 	rm -rf ~/jas-versions/$(VERSION)
-	svn export --quiet file:///$(SVNREPO)/jas/trunk ~/jas-versions/$(VERSION)
-	cd ~/jas-versions/$(VERSION); jas_dosed $(VERSION) `$(SVNREV)` download.html
-	svn log -v -r HEAD:$(SVNSRT) file:///$(SVNREPO)/jas/trunk src trc examples > ~/jas-versions/$(VERSION)/svn_change.log
-	cd ~/jas-versions/; jar -cfM $(VERSION).`$(SVNREV)`-src.zip $(VERSION)/
-	cd ~/jas-versions/$(VERSION)/; ant compile > ant_compile.out
-	cd ~/jas-versions/$(VERSION)/; jar -cfm ../$(VERSION).`$(SVNREV)`-bin.jar GBManifest.MF edu/ COPYING* log4j.properties
