=== meditor/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile 2103 2008-09-06 09:18:29Z kredel $
+# $Id: Makefile 4083 2012-07-28 15:04:42Z kredel $
 #
 # Makefile for the interface of JAS to meditor
 # by Raphael Jolly, Heinz kredel
@@ -11,6 +11,10 @@
 MEDITORPATH=$(HOME)/java/meditor3.0
 
 CLASSPATH=$(LIBPATH)/jython.jar:$(MEDITORPATH)/meditor.jar
+
+# incompatible with jython version
+#BOOTCLASSPATH4="/usr/java/j2sdk1.4.0/jre/lib/rt.jar"
+#	javac -g -source 1.4 -target 1.4 -classpath $(CLASSPATH) -bootclasspath $(BOOTCLASSPATH4) -sourcepath src -d classes src/edu/jas/editorengine/*.java
 
 .SUFFIXES : .class .java .jar 
 .PHONY    : clean
