=== debian/changelog ===
jas (2.5.4408-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 01 Jan 2021 15:59:36 +0100

jas (2.5.4408-1) unstable; urgency=low

  * New upstream release.
  * Fix some lintian issues.
    + Bump Standards-Version to 3.9.4.
  * Update debian/copyright.

 -- Giovanni Mascellani <gio@debian.org>  Mon, 20 May 2013 10:42:08 +0200
