=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Giovanni Mascellani <gio@debian.org>
 Build-Depends: debhelper (>= 8.0.0), default-jdk, javahelper (>= 0.43), liblog4j1.2-java,
  junit4
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://krum.rz.uni-mannheim.de/jas/
-Vcs-Git: git://git.debian.org/pkg-java/jas.git
-Vcs-Browser: http://git.debian.org/?p=pkg-java/jas.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-java/jas.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/jas.git;a=summary
 
 Package: libjas-java
 Architecture: all
