=== debian/watch ===
version=3
http://krum.rz.uni-mannheim.de/jas/download.html \
 jas-([0-9\.]+)-src.zip
